# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.paging import Paged


class ProfilePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Profile <azure.mgmt.cdn.models.Profile>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Profile]'}
    }

    def __init__(self, *args, **kwargs):

        super(ProfilePaged, self).__init__(*args, **kwargs)
class ResourceUsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`ResourceUsage <azure.mgmt.cdn.models.ResourceUsage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ResourceUsage]'}
    }

    def __init__(self, *args, **kwargs):

        super(ResourceUsagePaged, self).__init__(*args, **kwargs)
class EndpointPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Endpoint <azure.mgmt.cdn.models.Endpoint>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Endpoint]'}
    }

    def __init__(self, *args, **kwargs):

        super(EndpointPaged, self).__init__(*args, **kwargs)
class OriginPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Origin <azure.mgmt.cdn.models.Origin>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Origin]'}
    }

    def __init__(self, *args, **kwargs):

        super(OriginPaged, self).__init__(*args, **kwargs)
class OriginGroupPaged(Paged):
    """
    A paging container for iterating over a list of :class:`OriginGroup <azure.mgmt.cdn.models.OriginGroup>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[OriginGroup]'}
    }

    def __init__(self, *args, **kwargs):

        super(OriginGroupPaged, self).__init__(*args, **kwargs)
class CustomDomainPaged(Paged):
    """
    A paging container for iterating over a list of :class:`CustomDomain <azure.mgmt.cdn.models.CustomDomain>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[CustomDomain]'}
    }

    def __init__(self, *args, **kwargs):

        super(CustomDomainPaged, self).__init__(*args, **kwargs)
class OperationPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Operation <azure.mgmt.cdn.models.Operation>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Operation]'}
    }

    def __init__(self, *args, **kwargs):

        super(OperationPaged, self).__init__(*args, **kwargs)
class EdgeNodePaged(Paged):
    """
    A paging container for iterating over a list of :class:`EdgeNode <azure.mgmt.cdn.models.EdgeNode>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[EdgeNode]'}
    }

    def __init__(self, *args, **kwargs):

        super(EdgeNodePaged, self).__init__(*args, **kwargs)
class UsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Usage <azure.mgmt.cdn.models.Usage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Usage]'}
    }

    def __init__(self, *args, **kwargs):

        super(UsagePaged, self).__init__(*args, **kwargs)
class AFDDomainPaged(Paged):
    """
    A paging container for iterating over a list of :class:`AFDDomain <azure.mgmt.cdn.models.AFDDomain>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[AFDDomain]'}
    }

    def __init__(self, *args, **kwargs):

        super(AFDDomainPaged, self).__init__(*args, **kwargs)
class AFDEndpointPaged(Paged):
    """
    A paging container for iterating over a list of :class:`AFDEndpoint <azure.mgmt.cdn.models.AFDEndpoint>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[AFDEndpoint]'}
    }

    def __init__(self, *args, **kwargs):

        super(AFDEndpointPaged, self).__init__(*args, **kwargs)
class AFDOriginGroupPaged(Paged):
    """
    A paging container for iterating over a list of :class:`AFDOriginGroup <azure.mgmt.cdn.models.AFDOriginGroup>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[AFDOriginGroup]'}
    }

    def __init__(self, *args, **kwargs):

        super(AFDOriginGroupPaged, self).__init__(*args, **kwargs)
class AFDOriginPaged(Paged):
    """
    A paging container for iterating over a list of :class:`AFDOrigin <azure.mgmt.cdn.models.AFDOrigin>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[AFDOrigin]'}
    }

    def __init__(self, *args, **kwargs):

        super(AFDOriginPaged, self).__init__(*args, **kwargs)
class RoutePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Route <azure.mgmt.cdn.models.Route>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Route]'}
    }

    def __init__(self, *args, **kwargs):

        super(RoutePaged, self).__init__(*args, **kwargs)
class RuleSetPaged(Paged):
    """
    A paging container for iterating over a list of :class:`RuleSet <azure.mgmt.cdn.models.RuleSet>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[RuleSet]'}
    }

    def __init__(self, *args, **kwargs):

        super(RuleSetPaged, self).__init__(*args, **kwargs)
class RulePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Rule <azure.mgmt.cdn.models.Rule>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Rule]'}
    }

    def __init__(self, *args, **kwargs):

        super(RulePaged, self).__init__(*args, **kwargs)
class SecurityPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SecurityPolicy <azure.mgmt.cdn.models.SecurityPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SecurityPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(SecurityPolicyPaged, self).__init__(*args, **kwargs)
class SecretPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Secret <azure.mgmt.cdn.models.Secret>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Secret]'}
    }

    def __init__(self, *args, **kwargs):

        super(SecretPaged, self).__init__(*args, **kwargs)
class CdnWebApplicationFirewallPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`CdnWebApplicationFirewallPolicy <azure.mgmt.cdn.models.CdnWebApplicationFirewallPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[CdnWebApplicationFirewallPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(CdnWebApplicationFirewallPolicyPaged, self).__init__(*args, **kwargs)
class ManagedRuleSetDefinitionPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ManagedRuleSetDefinition <azure.mgmt.cdn.models.ManagedRuleSetDefinition>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ManagedRuleSetDefinition]'}
    }

    def __init__(self, *args, **kwargs):

        super(ManagedRuleSetDefinitionPaged, self).__init__(*args, **kwargs)
